apiVersion: triggers.tekton.dev/v1alpha1
kind: TriggerTemplate
metadata:
  labels:
    version: "{{ tekton_assets_version }}"
  name: s2i
  namespace: {{ buildns }}
spec:
  params:
  - name: gitref
    description: Git Repository Ref
  - name: gitrepourl
    description: Git Repository URL
  - name: gitrevision
    description: Git Revision
    default: master
  - name: gitreponame
    description: The name of the deployment to be created / patched
  resourcetemplates:
  - apiVersion: tekton.dev/v1beta1
    kind: PipelineRun
    metadata:
      generateName: triggered-s2i
    spec:
      params:
      - name: dstimage
        value: "{{ docker_registry }}/{{ buildns }}/${tt.params.gitreponame):$(tt.params.gitref)"
      - name: git-ref
        value: $(tt.params.gitrevision)
      - name: git-repo-url
        value: $(tt.params.gitrepourl)
      pipelineRef:
        name: node-s2i-build
      serviceAccountName: {{ pipeline_sa }}
      workspaces:
      - name: git-repo
        volumeClaimTemplate:
          spec:
            accessModes:
            - ReadWriteOnce
            resources:
              requests:
                storage: 2Gi
